package it.integry.zebrascannerlibrary;

import android.util.Log;

import it.integry.barcode_base_android_library.model.BarcodeType;

public class ZebraBarcodeTypeMapper {


    public static BarcodeType map(String inputType) {

        switch (inputType) {
            case "LABEL-TYPE-CODE11":
                return BarcodeType.CODE11;
            case "LABEL-TYPE-CODE128":
                return BarcodeType.CODE128;
            case "LABEL-TYPE-CODE39":
                return BarcodeType.CODE39;

            case "LABEL-TYPE-EAN13":
                return BarcodeType.EAN13;
            case "LABEL-TYPE-EAN8":
                return BarcodeType.EAN8;

            case "LABEL-TYPE-UPCA":
                return BarcodeType.UPCA;
            case "LABEL-TYPE-UPCE0":
                return BarcodeType.UPCE;
            case "LABEL-TYPE-UPCE1":
                return BarcodeType.UPCE1;
        default:
            Log.d("SCAN TYPE", inputType);
            return null;
        }

    }

}
